Name:           nvme-cli
Version:        1.16
Release:        2
Summary:        NVMe management command line interface

License:        GPLv2+
URL:            https://github.com/linux-nvme/nvme-cli
Source0:        https://github.com/linux-nvme/%{name}/archive/v%{version}.tar.gz
Patch1: 0001-bash-Fix-nvme-completion.patch

BuildRequires:	libuuid-devel gcc make systemd-devel

%description
nvme-cli provides NVM-Express user space tooling for Linux.

%package_help

%prep
%autosetup -p1

%build
%make_build PREFIX=%{_prefix} CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"

%install
%make_install PREFIX=%{_prefix}

# hostid and hostnqn are supposed to be unique per machine.  We obviously
# can't package them.
rm -f %{buildroot}%{_sysconfdir}/nvme/hostid
rm -f %{buildroot}%{_sysconfdir}/nvme/hostnqn
	
# Do not install the dracut rule yet.  See rhbz 1742764
rm -f %{buildroot}/usr/lib/dracut/dracut.conf.d/70-nvmf-autoconnect.conf

%files
%license LICENSE
%{_sbindir}/nvme
%{_datadir}/bash-completion/completions/nvme	
%{_datadir}/zsh/site-functions/_nvme	
%dir %{_sysconfdir}/nvme	
%{_sysconfdir}/nvme/discovery.conf	
%{_unitdir}/nvmefc-boot-connections.service	
%{_unitdir}/nvmf-autoconnect.service	
%{_unitdir}/nvmf-connect.target	
%{_unitdir}/nvmf-connect@.service	
%{_sysconfdir}/udev/rules.d/70-nvmf-autoconnect.rules	
%{_sysconfdir}/udev/rules.d/71-nvmf-iopolicy-netapp.rules

%files help
%doc README.md
%{_mandir}/man1/nvme*.gz

%changelog
* Sat Oct 8 2022 zhanghongtao <zhanghongtao22@huawei.com> - 1.16-2
- bash Fix nvme completion

* Wed Dec 29 2021 baizhonggui <baizhonggui@huawei.com> - 1.16-1
- update to 1.16

* Tue Nov 19 2019 mengxian@huawei.com - 1.6-2
- Package init
